WCSSPN(3)

NAME
wcsspn - span a wide string

SYNOPSIS
#include <wchar.h>
size_t
wcsspn(const wchar_t *s, const wchar_t *charset);

DESCRIPTION
The wcsspn() function spans the initial part of the wide string s as long as the wide characters from s occur in the wide string charset.

RETURN VALUES
The wcsspn() function returns the number of wide characters spanned.

SEE ALSO
strspn(3), wcschr(3), wcscspn(3), wcspbrk(3), wcsrchr(3), wcsstr(3), wcstok(3), wmemchr(3)

STANDARDS
The wcsspn() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcsspn() function was ported from NetBSD and first appeared in OpenBSD 3.8.